interpolate.cc File Reference
`#include <polybori/groebner/groebner_defs.h>`
`#include <polybori/cache/CCacheManagement.h>`
`#include <polybori/cache/CacheManager.h>`
`#include <algorithm>`
`#include <iostream>`
`#include <polybori/groebner/interpolate.h>`
`#include <polybori/groebner/randomset.h>`
`#include <polybori/groebner/nf.h>`
`#include <polybori/groebner/add_up.h>`

## Namespaces

| polybori
| polybori::groebner

## Functions

std::vector< Polynomial > | polybori::groebner::variety_lex_groebner_basis (const MonomialSet &points, const Monomial &variables)
MonomialSet | polybori::groebner::nf_lex_points (const Polynomial &f, const MonomialSet &p)
MonomialSet | polybori::groebner::gen_random_subset (const BoolePolyRing &ring, const std::vector< Monomial > &vec, bool_gen_type &bit_gen)
MonomialSet | polybori::groebner::random_interpolation (const MonomialSet &as_set, const std::vector< Monomial > &as_vector, bool_gen_type &bit_gen)
MonomialSet | polybori::groebner::variety_lex_leading_terms (const MonomialSet &points, const Monomial &variables)
MonomialSet | polybori::groebner::zeros (Polynomial p, MonomialSet candidates)
Polynomial | polybori::groebner::interpolate (MonomialSet to_zero, MonomialSet to_one)
Polynomial | polybori::groebner::interpolate_smallest_lex (MonomialSet to_zero, MonomialSet to_one)
MonomialSet | polybori::groebner::include_divisors (const MonomialSet &m)